[ASK] Rekomendasi versi PHP

Discussion in 'Software Hosting dan Control Panel' started by oniex, 12 Apr 2016.

Thread Status:
Not open for further replies.
  1. oniex

    oniex Beginner 1.0

    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    selamat siang semuanya, saya mau bertanya mengenai versi PHP. Sebelumnya saya membaca requirement untuk menginstal beberapa CMS. Disarankan untuk menggunakan versi PHP 5.5 ke atas.
    apakah perlu mengupdate setingan di server? versi berapa yg sebaiknya saya gunakan karena di cpanel ada beberapa pilihan.
    terima kasih
     
  2. jaapns

    jaapns Hosting Guru Web Hosting

    Messages:
    3,260
    Likes Received:
    443
    Trophy Points:
    83
    ya kalo sebaiknya mmg menggunakan php versi terbaru untuk CMS baru, namun sesuaikan dengan system requirement script yg anda gunakan. Karena di server kami bermacam2 scriptnya, biasanya kami sih pake versi PHP yg status nya belum End of Life.

    Terlebih saat ini bila anda menggunakan cloudlinux akan lbh mudah , krn terdapat fitur PHP Selector, sehingga customer bisa tentukan sendiri versinya
     
  3. oniex

    oniex Beginner 1.0

    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    terima kasih atas penjelasannya
    manakah yang lebih aman/stabil jika saya menggunakan versi 5.6 atau 7, sebelumnya saya pernah mengetes menggunakan PHP 7 tapi beberapa fitur cms malah tidak berjalan normal. kalau dari penjelasan developernya seh bilang akan update cms tapi entah kapan.
    sekedar untuk jaga2 dulu
     
  4. mgilank

    mgilank Apprentice 1.0

    Messages:
    263
    Likes Received:
    34
    Trophy Points:
    28
    Mulai versi 5.4 ke atas.
    jika ada yg depracated mungkin bisa coba di upgrade scriptnya.
     
  5. cyberhostservice

    cyberhostservice Expert 1.0

    Messages:
    652
    Likes Received:
    128
    Trophy Points:
    43
    Saran pakai versi 5.6 saja karena versi 7 belum supoort untuk ioncube... CMIIW...
     
  6. pangeran1995

    pangeran1995 Hosting Guru

    Messages:
    1,352
    Likes Received:
    105
    Trophy Points:
    63
    saat ini masih pake 5.4 dan 5.5 kadnag client yg butuh 5.6 bisa pake php selector dari cloudlinux
     
  7. IDreg.Net

    IDreg.Net Expert 2.0 Web Hosting (Company)

    Messages:
    818
    Likes Received:
    226
    Trophy Points:
    43
    kami pakai php 5.6 saat ini msh ok2 saja.. di php7 sering ada kendala, internalserver error
     
  8. dhyhost

    dhyhost Hosting Guru Web Hosting

    Messages:
    3,940
    Likes Received:
    614
    Trophy Points:
    113
    versi yang terbaru yg disrankan, 5.5 keatas :D
     
  9. GPLHosting

    GPLHosting Expert 2.0

    Messages:
    977
    Likes Received:
    466
    Trophy Points:
    63
    EasyApache 4 ... bukannya sdh ada PHP Selectornya juga? Ga butuh cloudlinux jd nya.. bagi para CPanel'ers ...
     
  10. DraCoola

    DraCoola Apprentice 1.0

    Messages:
    326
    Likes Received:
    122
    Trophy Points:
    43
    server cpanel nya untuk dipake ndiri ato untuk shared hosting masgan?

    kalo dipake ndiri better php 5.5 aja dulu.
    versi paling umum, kerna vendor² CMS mayoritas nulis aplikasi mereka pake php 5.5
    secara 5.4 dah EOL sejak september 2015 kemaren >> http://php.net/eol.php

    tapi kalo dipake shared hosting, mending smua²nya dipasang aja.
    sejak v5.2, v5.3, v5.4, v5.5, v5.6 dan pake selector.
    kerna kebutuhan script user teramat sangat beragam banget.
    mulai script MLM jadul yg cuma bisa jalan di php5.2 sampe framework bangsanya laravel dan sejenisnya yg slalu minta minimal php 5.5 - 5.6

    dan jangan dulu pake php7 kerna masih tralu baru.
    kecuali masgan sangat mentjintai keterkinian php dan mahir ngoprek script php
     
    iidbae likes this.
Loading...
Thread Status:
Not open for further replies.

Share This Page

Loading...